Interface
Options to update an API Key.
Properties
| Property | Type | Notes |
|---|---|---|
apiToken1ExpirationDate | Date | Expiration date of the access token in slot 1 of this API Key. |
apiToken2ExpirationDate | Date | Expiration date of the access token in slot 2 of this API Key. |
authentication | IAuthenticationManager |
|
credentialsinherited | RequestCredentials | A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows. |
fetchOptionsinherited | RequestInit | anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options. |
generateToken1 | boolean | Generate a new access token in slot 1 of this API. Will override and invalidate any existing token. |
generateToken2 | boolean | Generate a new access token in slot 2 of this API. Will override and invalidate any existing token. |
headersinherited | {} | Additional Headers to pass into the request. |
hideTokeninherited | boolean | Prevents the token from being passed in a URL query parameter that is saved in browser history. |
httpMethodinherited | HTTPMethods | The HTTP method to send the request with. |
httpReferrers | string[] | Override previous |
itemId | string | itemId of which API key will be updated. |
maxUrlLengthinherited | number | If the length of a GET request's URL exceeds |
portalinherited | string | Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'. |
privileges | string[] | Override previous |
rawResponseinherited | boolean | Return the raw response |
requestFlagsinherited | IRequestFlags | ArcGIS REST JS runtime flags. |
signalinherited | AbortSignal | An AbortSignal object instance; allows you to abort a request and via an AbortController. |
suppressWarningsinherited | boolean | Suppress any ArcGIS REST JS related warnings for this request. |
apiToken1ExpirationDate
apiToken1ExpirationDate: DateExpiration date of the access token in slot 1 of this API Key.
apiToken2ExpirationDate
apiToken2ExpirationDate: DateExpiration date of the access token in slot 2 of this API Key.
authentication
Interface Propertyauthentication: IAuthenticationManager@esri/arcgis-rest-request!IAuthenticationManager authentication.
credentials
credentials: RequestCredentialsA string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.
fetchOptions
fetchOptions: RequestInitanything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.
generateToken1
generateToken1: booleanGenerate a new access token in slot 1 of this API. Will override and invalidate any existing token.
generateToken2
generateToken2: booleanGenerate a new access token in slot 2 of this API. Will override and invalidate any existing token.
hideToken
hideToken: booleanPrevents the token from being passed in a URL query parameter that is saved in browser history.
httpReferrers
httpReferrers: string[]Override previous httpReferrers if this value is provided.
maxUrlLength
maxUrlLength: numberIf the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.
portal
portal: stringBase url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.
privileges
privileges: string[]Override previous privileges if this value is provided.
signal
signal: AbortSignalAn AbortSignal object instance; allows you to abort a request and via an AbortController.